package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsAdvScrm;
import com.fs.hisStore.vo.FsAdvListQueryVO;

/**
 * 广告Service接口
 *
 * @author fs
 * @date 2022-05-28
 */
public interface IFsAdvScrmService
{
    /**
     * 查询广告
     *
     * @param advId 广告ID
     * @return 广告
     */
    public FsAdvScrm selectFsAdvById(Long advId);

    /**
     * 查询广告列表
     *
     * @param fsAdv 广告
     * @return 广告集合
     */
    public List<FsAdvScrm> selectFsAdvList(FsAdvScrm fsAdv);

    /**
     * 新增广告
     *
     * @param fsAdv 广告
     * @return 结果
     */
    public int insertFsAdv(FsAdvScrm fsAdv);

    /**
     * 修改广告
     *
     * @param fsAdv 广告
     * @return 结果
     */
    public int updateFsAdv(FsAdvScrm fsAdv);

    /**
     * 批量删除广告
     *
     * @param advIds 需要删除的广告ID
     * @return 结果
     */
    public int deleteFsAdvByIds(Long[] advIds);

    /**
     * 删除广告信息
     *
     * @param advId 广告ID
     * @return 结果
     */
    public int deleteFsAdvById(Long advId);

    List<FsAdvListQueryVO> selectFsAdvListQuery(Integer advType);
}
